Status: Closed   

Priority: Normal   

Assignee:    

Description

normalize references to Timeout::Error

TimeoutError is a legacy constant, Timeout::Error is the canonical constant.

This patch normalizes all code and comments to reference Timeout::Error.

Related issues:

Related to Ruby - Feature #10342: Module#deprecate_constant Closed

Associated revisions

Revision 9bb7dfa247b0dd1bb3ad1f596720d205835c6201 - 10/07/2014 08:00 PM - Eric Wong 

normalize reference to Timeout::Error

From: John Bachir j@jjb.cc

bootstraptest/test_io.rb (assert_finish):

normalize rescue for Timeout::Error

lib/net/ftp.rb (Net#read_timeout): ditto for doc

lib/resolv.rb (Resolv::ResolvTimeout): ditto for subclass

lib/webrick/httprequest.rb (_read_data): ditto for rescue

sample/timeout.rb (p timeout): ditto for call

test/drb/drbtest.rb (test_06_timeout): ditto

test/ruby/test_readpartial.rb (test_open_pipe): ditto

test/thread/test_queue.rb (test_queue_thread_raise): ditto

thread.c (rb_thread_s_handle_interrupt): ditto for doc

[ruby-core:65481] [misc #10339]

TimeoutError is a legacy constant, Timeout::Error is the canonical constant.

This patch normalizes all code and comments to reference Timeout::Error.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47838 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9bb7dfa2 - 10/07/2014 08:00 PM - Eric Wong 

normalize reference to Timeout::Error

From: John Bachir j@jjb.cc

bootstraptest/test_io.rb (assert_finish):

normalize rescue for Timeout::Error

lib/net/ftp.rb (Net#read_timeout): ditto for doc

lib/resolv.rb (Resolv::ResolvTimeout): ditto for subclass

lib/webrick/httprequest.rb (_read_data): ditto for rescue

sample/timeout.rb (p timeout): ditto for call

test/drb/drbtest.rb (test_06_timeout): ditto

test/ruby/test_readpartial.rb (test_open_pipe): ditto

test/thread/test_queue.rb (test_queue_thread_raise): ditto

thread.c (rb_thread_s_handle_interrupt): ditto for doc

[ruby-core:65481] [misc #10339]

TimeoutError is a legacy constant, Timeout::Error is the canonical constant.

This patch normalizes all code and comments to reference Timeout::Error.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47838 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/07/2014 06:52 PM - normalperson (Eric Wong)

The doc/ChangeLog-1.9.3 modification is incorrect.  I will remove it and

commit the rest:
normalize reference to Timeout::Error

From: John Bachir j@jjb.cc

bootstraptest/test_io.rb (assert_finish):

normalize rescue for Timeout::Error

lib/net/ftp.rb (Net#read_timeout): ditto for doc

lib/resolv.rb (Resolv::ResolvTimeout): ditto for subclass

lib/webrick/httprequest.rb (_read_data): ditto for rescue

sample/timeout.rb (p timeout): ditto for call

test/drb/drbtest.rb (test_06_timeout): ditto

test/ruby/test_readpartial.rb (test_open_pipe): ditto

test/thread/test_queue.rb (test_queue_thread_raise): ditto

thread.c (rb_thread_s_handle_interrupt): ditto for doc

[ruby-core:65481] [misc #10339]

TimeoutError is a legacy constant, Timeout::Error is the canonical constant.

This patch normalizes all code and comments to reference Timeout::Error.

#2 - 10/08/2014 03:55 PM - nobu (Nobuyoshi Nakada)

- Related to Feature #10342: Module#deprecate_constant added

#3 - 10/08/2014 06:43 PM - jjb (John Bachir)

The doc/ChangeLog-1.9.3 modification is incorrect.

 Whoops, sloppy of me!

I will remove it and commit the rest

 Thanks!

#4 - 08/09/2018 09:45 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Files

timeout-error-name-normalization.patch 6.06 KB 10/07/2014 jjb (John Bachir)
